%global _empty_manifest_terminate_build 0
Name:           perl-Mail-Sendmail
Version:        0.80
Release:        2
Summary:        Simple platform independent mailer
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-Sendmail/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/Mail-Sendmail-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(parent)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators
Requires:       perl(Digest::MD5)
Requires:       perl(Exporter)
Requires:       perl(MIME::Base64)
Requires:       perl(parent)
Requires:       perl(Socket)
Requires:       perl(strict)
Requires:       perl(Time::Local)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
Simple platform independent e-mail from your perl script. Only requires
Perl 5 and a network connection.
%package help
Summary : Simple platform independent mailer
Provides: perl-Mail-Sendmail-doc
%description help
Simple platform independent e-mail from your perl script. Only requires
Perl 5 and a network connection.
%prep
%setup -q -n Mail-Sendmail-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
#make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README Todo
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Wed Mar 17 2021 lingsheng <lingsheng@huawei.com> - 0.80-2
- Don't send test mail which need network

* Mon Jun 15 2020 Perl_Bot <Perl_Bot@openeuler.org> 0.80-1
- Specfile autogenerated by Perl_Bot
